For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chatbot versions

Lists all versions of a chatbot

get

Required Permission: chatbots.versions.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

List of all versions.

application/json
errorstringOptional

Optional error message.

get
/v1/chatbots/{chatbotId}/versions

Creates a new version

post

Required Permission: chatbots.versions.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
descriptionstringOptional

An optional description for the new version.

Example: Release for Q4 Campaign
namestringRequired

The name of the new version (often automatically generated).

Example: Version 1.2.4
environmentstring · enumRequired

The environment for which this version is created. None being dev, as no deployment is needed.

Example: testPossible values:
Responses
post
/v1/chatbots/{chatbotId}/versions

Deletes a version

delete

Required Permission: chatbots.versions.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

versionIdstringRequired

The Id of the version to be deleted.

Responses
200Success
application/json
deletedbooleanOptional

Indicates whether the version was successfully deleted.

Example: true
errorstringOptional

Optional error message.

delete
/v1/chatbots/{chatbotId}/versions/{versionId}

Deploys a version to an environment

post

Required Permission: chatbots.versions.deploy

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

versionIdstringRequired

The Id of the version to be deployed.

Body
environmentstring · enumRequired

The target environment for the deployment.

Example: prodPossible values:
Responses
post
/v1/chatbots/{chatbotId}/versions/{versionId}/deploy

Performs a rollback to a specific version

post

Required Permission: chatbots.versions.deploy

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

versionIdstringRequired

The Id of the version to roll back on.

Body
Responses
200

Result of the rollback operation.

application/json
rolledBackbooleanOptional

Indicates whether the rollback was successful.

Example: true
errorstringOptional

Optional error message.

post
/v1/chatbots/{chatbotId}/versions/{versionId}/rollback

Last updated